## galapi
Class QueryContext

    java.lang.Object
      galapi.Context
          galapi.QueryContext

public class QueryContext
extends Context

A `QueryContext` contains a full environment for a query. It incapsulates a `ModuleContext` and a list of statements to be evaluated.

See Also:
  `ModuleContext`, `ItemList`

Field Summary

Fields inherited from class galapi.Context
`item`

Constructor Summary
`protected` `QueryContext()`
`protected` `QueryContext(int native_item)`

Methods inherited from class galapi.Context
`finalize, getNativeItem, nativeFree, setItem`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryContext

    protected QueryContext()

### QueryContext

    protected QueryContext(int native_item)